Imports System.ComponentModel

Public Class frmErrProvider

    Private Sub SingleValidation_Validating(ByVal sender As Object, _
        ByVal e As CancelEventArgs) Handles txtSingleValidation.Validating

        Me.ErrProvider.Clear()
        Dim TB As TextBox = DirectCast(sender, TextBox)
        If TB.Text <> "a" Then
            e.Cancel = True
            Me.ErrProvider.SetError(TB, "Bitte 'a' eingeben")
        End If
    End Sub

    ''' <remarks>
    ''' Dieses Buttons "CauseValidation"-Property ist auf False gestellt,
    ''' soda er auch bei Fehleingaben bettigt werden kann.
    ''' </remarks>
    Private Sub btHelp_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btHelp.Click

        MsgBox("Hilfe!!!")
    End Sub

    ''' <remarks>
    ''' Die Validierung von txtGroupValidationB und txtGroupValidationC
    ''' findet im .Validating() der Groupbox grpGroupValidation statt, auf
    ''' dem die beiden aufsitzen
    ''' </remarks>
    Private Sub grpGroupValidation_Validating(ByVal sender As Object, _
        ByVal e As CancelEventArgs) Handles grpGroupValidation.Validating

        Me.ErrProvider.Clear()
        If txtGroupValidationB.Text <> "b" Then
            e.Cancel = True
            Me.ErrProvider.SetError(txtGroupValidationB, "Bitte 'b' eingeben")
        ElseIf txtGroupValidationC.Text <> "c" Then
            e.Cancel = True
            Me.ErrProvider.SetError(txtGroupValidationC, "Bitte 'c' eingeben")
        End If
    End Sub

    Private Sub btAction_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btAction.Click

        MsgBox("Validierung offenbar erfolgreich")
    End Sub
End Class
